Bug 1394788 - Review Request: lua-mpack - Implementation of MessagePack for Lua
Summary: Review Request: lua-mpack - Implementation of MessagePack for Lua
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1394789
TreeView+ depends on / blocked
 
Reported: 2016-11-14 13:08 UTC by Andreas Schneider
Modified: 2016-12-02 21:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-02 21:25:32 UTC
Type: ---
jhrozek: fedora-review+


Attachments (Terms of Use)

Description Andreas Schneider 2016-11-14 13:08:27 UTC
Spec URL: https://xor.cryptomilk.org/rpm/lua-mpack/lua-mpack.spec
SRPM URL: https://xor.cryptomilk.org/rpm/lua-mpack/lua-mpack-1.0.3-1.fc24.src.rpm
Description: mpack is a small binary serialization/RPC library that implements both the msgpack and msgpack-rpc specifications.
Fedora Account System Username: asn

This is requried by neovim

Comment 3 Jakub Hrozek 2016-11-23 15:43:57 UTC
fedora-review complains:

Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE-MIT is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

so please change:
%doc LICENSE-MIT README.md
to:
%license LICENSE-MIT
%doc README.md

otherwise looks good to me

Comment 5 Jakub Hrozek 2016-11-25 08:02:20 UTC
Some more nitpicks I noticed after reading https://fedoraproject.org/wiki/PackagingDrafts/Lua and checking other lua spec files:

1) https://fedoraproject.org/wiki/PackagingDrafts/Lua says that packages should define:
Requires: lua(abi) = %{luaver}
I'm not sure if this is better or worse than:
Requires:       lua >= %{lua_version}
that you used but I think requiring the ABI version would detect ABI breaks.

2) The specfile owns a directory also owned by lua, why?
%dir %{lua_libdir}
didn't you only want to own:
%{lua_libdir}/mpack.so
?

I'm sorry I didn't notice these the first time. If these nitpicks are resolved, I will approve the package :-)

Comment 7 Jakub Hrozek 2016-11-25 10:15:35 UTC
Thank you, approved.

Comment 8 Gwyn Ciesla 2016-11-28 17:00:37 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lua-mpack

Comment 9 Fedora Update System 2016-11-28 21:57:57 UTC
lua-mpack-1.0.3-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5739610b8

Comment 10 Fedora Update System 2016-12-02 18:55:13 UTC
lua-mpack-1.0.3-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f5739610b8

Comment 11 Fedora Update System 2016-12-02 21:25:32 UTC
lua-mpack-1.0.3-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.